Enable Matrox driver for Ubuntu 16.04.3

Bug #1693337 reported by Narinder Gupta on 2017-05-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Zesty
Medium
Joseph Salisbury

Bug Description

This request is to enable Matrox driver and backport the enablement paatch from 4.11 kernel to 4.10 kernel for Ubuntu 16.04.3.

This will get tested on HPE platform after the modification.

Following config and patch changes are needed.

CONFIG_DRM_MGAG200=m

    commit f0493e653f9679114d1dfd54ab88b54ce95576e1
    Author: Mathieu Larouche <email address hidden>
    Date: Fri Oct 21 12:47:07 2016 -0400

        drm/mgag200: Added support for the new device G200eH3

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1693337

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
tags: added: kernel-da-key
Changed in linux (Ubuntu Zesty):
status: New → Triaged
importance: Undecided → Medium
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Zesty):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Triaged → In Progress
Changed in linux (Ubuntu):
status: Triaged → In Progress
Joseph Salisbury (jsalisbury) wrote :

I built a Zesty test kernel with CONFIG_DRM_MGAG200 set to m and a pick of commit f0493e653f9679114d1dfd54ab88b54ce95576e1. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1693337/

Can you give this kernel a test?

Thanks in advance!

I tested both the kernels on HPE gen8 and Gen10 platform and it seems to
loading fine and i can confirm that driver is in use with Matrox grpahics
controller for both Gen8 and Gen10 platform. Below is the syslog from the
server tested for this bug.

gen10 http://paste.ubuntu.com/24668361/
gen8 http://paste.ubuntu.com/24668369

Thanks and Regards,
Narinder Gupta (PMP) <email address hidden>
Canonical, Ltd. narindergupta [irc.freenode.net]
+1.281.736.5150 narindergupta2007[skype]

Ubuntu- Linux for human beings | www.ubuntu.com | www.canonical.com

On Thu, May 25, 2017 at 11:30 AM, Joseph Salisbury <
<email address hidden>> wrote:

> I built a Zesty test kernel with CONFIG_DRM_MGAG200 set to m and a pick
> of commit f0493e653f9679114d1dfd54ab88b54ce95576e1. The test kernel can
> be downloaded from:
>
> http://kernel.ubuntu.com/~jsalisbury/lp1693337/
>
> Can you give this kernel a test?
>
> Thanks in advance!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1693337
>
> Title:
> Enable Matrox driver for Ubuntu 16.04.3
>
> Status in linux package in Ubuntu:
> In Progress
> Status in linux source package in Zesty:
> In Progress
>
> Bug description:
> This request is to enable Matrox driver and backport the enablement
> paatch from 4.11 kernel to 4.10 kernel for Ubuntu 16.04.3.
>
> This will get tested on HPE platform after the modification.
>
> Following config and patch changes are needed.
>
> CONFIG_DRM_MGAG200=m
>
> commit f0493e653f9679114d1dfd54ab88b54ce95576e1
> Author: Mathieu Larouche <email address hidden>
> Date: Fri Oct 21 12:47:07 2016 -0400
>
> drm/mgag200: Added support for the new device G200eH3
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/
> 1693337/+subscriptions
>

Seth Forshee (sforshee) on 2017-05-26
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Stefan Bader (smb) on 2017-06-09
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (19.7 KiB)

This bug was fixed in the package linux - 4.10.0-26.30

---------------
linux (4.10.0-26.30) zesty; urgency=low

  * linux: 4.10.0-26.30 -proposed tracker (LP: #1700528)

  * CVE-2017-1000364
    - Revert "UBUNTU: SAUCE: mm: Only expand stack if guard area is hit"
    - Revert "mm: do not collapse stack gap into THP"
    - Revert "mm: enlarge stack guard gap"
    - mm: larger stack guard gap, between vmas
    - mm: fix new crash in unmapped_area_topdown()
    - Allow stack to grow up to address space limit

linux (4.10.0-25.29) zesty; urgency=low

  * linux: 4.10.0-25.29 -proposed tracker (LP: #1699028)

  * CVE-2017-1000364
    - SAUCE: mm: Only expand stack if guard area is hit

  * CVE-2017-9074
    - ipv6: Prevent overrun when parsing v6 header options
    - ipv6: Check ip6_find_1stfragopt() return value properly.

  * [Zesty] QDF2400 ARM64 server - NMI watchdog: BUG: soft lockup - CPU#8 stuck
    for 22s! (LP: #1680549)
    - iommu/dma: Stop getting dma_32bit_pfn wrong
    - iommu/dma: Implement PCI allocation optimisation
    - iommu/dma: Convert to address-based allocation
    - iommu/dma: Clean up MSI IOVA allocation
    - iommu/dma: Plumb in the per-CPU IOVA caches
    - iommu/iova: Fix underflow bug in __alloc_and_insert_iova_range

  * Zesty update to 4.10.17 stable release (LP: #1692898)
    - xen: adjust early dom0 p2m handling to xen hypervisor behavior
    - target: Fix compare_and_write_callback handling for non GOOD status
    - target/fileio: Fix zero-length READ and WRITE handling
    - iscsi-target: Set session_fall_back_to_erl0 when forcing reinstatement
    - usb: xhci: bInterval quirk for TI TUSB73x0
    - usb: host: xhci: print correct command ring address
    - USB: serial: ftdi_sio: add device ID for Microsemi/Arrow SF2PLUS Dev Kit
    - USB: Proper handling of Race Condition when two USB class drivers try to
      call init_usb_class simultaneously
    - USB: Revert "cdc-wdm: fix "out-of-sync" due to missing notifications"
    - staging: vt6656: use off stack for in buffer USB transfers.
    - staging: vt6656: use off stack for out buffer USB transfers.
    - staging: gdm724x: gdm_mux: fix use-after-free on module unload
    - staging: wilc1000: Fix problem with wrong vif index
    - staging: comedi: jr3_pci: fix possible null pointer dereference
    - staging: comedi: jr3_pci: cope with jiffies wraparound
    - usb: misc: add missing continue in switch
    - usb: gadget: legacy gadgets are optional
    - usb: Make sure usb/phy/of gets built-in
    - usb: hub: Fix error loop seen after hub communication errors
    - usb: hub: Do not attempt to autosuspend disconnected devices
    - x86/boot: Fix BSS corruption/overwrite bug in early x86 kernel startup
    - selftests/x86/ldt_gdt_32: Work around a glibc sigaction() bug
    - x86, pmem: Fix cache flushing for iovec write < 8 bytes
    - um: Fix PTRACE_POKEUSER on x86_64
    - perf/x86: Fix Broadwell-EP DRAM RAPL events
    - KVM: x86: fix user triggerable warning in kvm_apic_accept_events()
    - KVM: arm/arm64: fix races in kvm_psci_vcpu_on
    - arm64: KVM: Fix decoding of Rt/Rt2 when trapping AArch32 CP accesses
    - block: fix blk_integrity_register to use templ...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
tags: added: verification-done-zesty
removed: verification-needed-zesty
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers